var _ = require('lodash');
var router = {};

router['app/list'] = async function(params, ctx){
	var res = [];
	res.push({
		name: "CMS",
		icon: "icon",
		desc: "desc",
		url: "http://www.baidu.com",
		sort: 1
	});
	res.push({
		name: "CMS2",
		icon: "icon",
		desc: "desc",
		url: "http://www.baidu.com",
		sort: 1
	});
	console.log('====>app/list:', res);
	ctx.succeed(res);
}


router['tag/list'] = async function(params, ctx){
	var res = [{
		name: '标签1',
		apps: [{
			name: "CMS",
			icon: "icon",
			desc: "desc",
			url: "http://www.runoob.com/",
			sort: 1
		}]
	},{
		name: '标签',
		apps: [{
			name: "CMS2",
			icon: "icon",
			desc: "desc",
			url: "https://cn.vuejs.org",
			sort: 1
		},{
			name: "CMS3",
			icon: "icon",
			desc: "desc",
			url: "http://www.baidu.com",
			sort: 1
		},{
			name: "CMS4",
			icon: "icon",
			desc: "desc",
			url: "http://cn.bing.com/?setlang=zh-CN",
			sort: 1
		}]
	}];
	console.log('====>tag/list:', res);
	ctx.succeed(res);
}

async function handle(params, ctx, next) {
	if(params.entry && router[params.entry]){
  	return await router[params.entry](params, ctx);
	}
	ctx.fail(new Error('params.entry:'+ params.entry +' not found'));
}



module.exports = handle;
