//转换路由
var fs = require('fs'),
    path = require('path');

String.prototype.firstUpperCase = function() {
    return this.toString()[0].toUpperCase() + this.toString().slice(1);
}

module.exports = function(vueFolder, app) {
    var routes = [`'/':'${app.pages[0].split('/')[1].firstUpperCase()}'`]; //将第一页设为首页
    for (var i = 0; i < app.pages.length; i++) {
        var page = app.pages[i];
        routes.push(`'/${page}':'${page.split('/')[1].firstUpperCase()}'`)
    }
    var route = routes.join(',\r\n');
    var file = path.join(vueFolder, 'src', 'routes.js');
    fs.writeFileSync(file, `export default {\r\n ${route} \r\n}`);
}
