var _ = require('lodash');
var crypto = require('crypto')
var router = {};

function test_des(param) {  
    var key = new Buffer(param.key);  
    var iv = new Buffer(0);// new Buffer(param.iv ? param.iv : 0)  
    var plaintext = param.plaintext  
    var alg = param.alg  
    var autoPad = param.autoPad  


    var n =  plaintext % 8;
    for (var i = 0; i < n; i++) {
        //plaintext += new Buffer(0)
    }
    
    //encrypt  
    var cipher = crypto.createCipheriv(alg, key, iv);  
    cipher.setAutoPadding(true);  //default true  
    var ciph = cipher.update(new Buffer('123456789'), '', 'hex');  
    ciph += cipher.final('hex');  
    console.log(alg, ciph)  
}  


router['test'] = async function(params, ctx) {
  

  
test_des({  
    alg: 'des-ede3',    //3des-ecb
    //alg: 'des-ede3-cbc',  
    autoPad: true,  
    key: '58bfb79d2259115d78ab536f',  
    plaintext: '123456789',  
    iv: null  
});
  
return;

}


router['code'] = async function(params, ctx){

    var appKey = 'BysKuJtARQG5ueIjt7xW4A';
    var appSecret = '58bfd47e2259115d78ab5373';


    //var appKey = '4d196ce6-13e5-48ec-9f3f-d6bc0c07160b';
    //var appSecret = '504dffad-3076-4d49-9904-d3757252e5ff';
    var info = [];
    info.push('appKey=' + appKey);   
    info.push('code=' + params.code);

    //var sign2 = crypto.createHmac('sha256', appSecret).update('123456').digest('hex');
    //console.log(sign2);
    var sign = crypto.createHmac('sha256', appSecret).update(info.sort().join('&')).digest('hex');
    var host = 'http://10.203.98.10:8080/auth-platform';

    var resp = await ctx.ajax({
        method: 'POST',
        url: host + '/api/user/info?' + info.join('&') + '&signature=' + sign 
    });
    ctx.succeed(resp.body);
}


router['testredr'] = async function(params, ctx){

    var appKey = '4JNQvO84QGqW8bLH_MjmeQ';
    var appSecret = '58bfb79d2259115d78ab536f';

    var userId = 'WL-3nSJZEV14q1NuWL-4EyJZEV14q1Nw';

    //var appKey = '4d196ce6-13e5-48ec-9f3f-d6bc0c07160b';
    //var appSecret = '504dffad-3076-4d49-9904-d3757252e5ff';
    var info = [];
    
    info.push('appKey=' + appKey);
    info.push('ts=' + parseInt(new Date().getTime() / 1000) );
    info.push('userId=' + userId);
    //info.push('redirect=' + encodeURIComponent('http://127.0.0.1:3000/api/ping'));
    info.push('redirect=' + 'http://127.0.0.1:3000/api/ping');
    info.push('state=' + 'code1');

    //var sign2 = crypto.createHmac('sha256', appSecret).update('123456').digest('hex');
    //console.log(sign2);
    var sign = crypto.createHmac('sha256', appSecret).update(info.sort().join('&')).digest('hex');

    var host = 'http://10.203.98.10:8080/auth-platform';
    //return ctx.succeed(info.sort());
    //return ctx.body = '111';//info.sort();

    var path = host + '/api/connect/authorize?' + info.join('&') + '&signature=' + sign;
    ctx.succeed(path);
}


var apps = [
    {
        key: 'clgl:',
        name: '车辆管理',
        type: 'inner',
        url: '/cs/ts'
    }, {
        key: 'app:',
        type: 'inner',
        name: 'app管理',
        url: '/app/icon'      
    }, {
        key: 'thrid:cms:',
        name: 'CMS',
        type: 'outer',
        url: 'http://www.baidu.com'
    }
];


router['login'] = async function(params, ctx){
    
    return ctx.succeed({
  "username": "yi",
  "tags": {
  "别克": [
    {
      "key": "clgl:",
      "name": "车辆管理",
      "type": "inner",
      "url": "/cs/ts",
      "role": [
        "clgl:clsc:",
        "clgl:zsd:"
      ]
    },
    {
      "key": "app:",
      "type": "inner",
      "name": "app管理",
      "url": "/app/icon",
      "role": [
        "app:icon:",
      ]
    }
  ],
  "雪佛兰": [
    {
      "key": "app:",
      "type": "inner",
      "name": "app管理",
      "url": "/app/icon",
      "role": [
        "app:icon:",
      ]
    }
  ]
}});

    var appKey = '4JNQvO84QGqW8bLH_MjmeQ';
    var appSecret = '58bfb79d2259115d78ab536f';
    //var appKey = '4d196ce6-13e5-48ec-9f3f-d6bc0c07160b';
    //var appSecret = '504dffad-3076-4d49-9904-d3757252e5ff';
    var info = [];
    
    info.push('appKey=' + appKey);
    info.push('ts=' + parseInt(new Date().getTime() / 1000) );
    info.push('username=' + 'yi');
    info.push('password=' + 'OWarqyxKa0g=');    

    //var sign2 = crypto.createHmac('sha256', appSecret).update('123456').digest('hex');
    //console.log(sign2);
    var sign = crypto.createHmac('sha256', appSecret).update(info.sort().join('&')).digest('hex');

    console.log(sign);

    var host = 'http://10.203.98.10:8080/auth-platform';
    //console.log(host + '/api/user/login?' + info.join('&') + '&signature=' + sign );

    var resp = await ctx.ajax({
        method: 'POST',
        url: host + '/api/user/login?' + info.join('&') + '&signature=' + sign 
    });
    console.log(resp.body);
    var data = JSON.parse(resp.body);

    // 获得所有的权限
    var tags = {};
    for (var item of data.data.perms) {
        for (var t of item.tags) {
            tags[t] ? tags[t].push(item.express) : tags[t] = [item.express];
        }
    }
    for (var item of data.data.roles) {
        for (var t of item.tags) {
            for (var e of item.perms) {
                tags[t] ? tags[t].push(e.express) : tags[t] = [e.express];
            }
        }
    }

    // 根据权限收集其 应用
    var ret = {};
    for (var i in tags) {
        tags[i] = _.uniq(tags[i]);
        ret[i] = [];
        for (var item of apps) {
            for (var role of tags[i]) {
                console.log('role', role);
                if (role.indexOf(item['key']) == 0) {
                    ret[i].push(item);
                }
            }
        }
    }
    for (var i in ret) {
        ret[i] = _.uniq(ret[i]);
    }

    // 收集应用的权限
    for (var i in ret) {
        ret[i].role = [];
        for (var j in  ret[i]) {
            ret[i][j].role = [];
            for (var tag in tags) {
                for (var role of tags[tag]) {
                    if (role.indexOf(ret[i][j].role.key)) {
                        ret[i][j].role.push(role);
                    }
                }
            }
            ret[i][j].role = _.uniq(ret[i][j].role);
        }
    }
    console.log(JSON.stringify(ret));

    ctx.succeed(ret);
}

async function handle(params, ctx, next) {
	if(params.entry && router[params.entry]){
  	return await router[params.entry](params, ctx);
	}
	ctx.fail(new Error('params.entry:'+ params.entry +' not found'));
}

module.exports = handle;
